<!--
  Generated template for the ProductPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
    <ion-navbar color="2primary">
        <div class="androidHeader">
          <ion-title *ngIf="platformStatus == 'android'">
            <img src="assets/img/tbm.png" style="width: 3rem" >
            <b>{{ namaProductdariberandauser }}</b>
          </ion-title>
        </div>
        
        <ion-title *ngIf="platformStatus == 'ios'">
            {{ namaProductdariberandauser }}
        </ion-title>
        <div class="logoHeader" *ngIf="platformStatus == 'ios'">
            <img src="assets/img/tbm.png">
        </div>
    
         <ion-buttons end>
            <button ion-button icon-only (click)="cart()" *ngIf="databasenya.flag != 'skip'">
            <ion-icon style="opacity:1;" name="ios-cart" ></ion-icon>
            <ion-badge color="danger" *ngIf="databasecartnya.notif !=0">{{ databasecartnya.notif }}</ion-badge>
          </button>
        </ion-buttons> 
      </ion-navbar>

</ion-header>


<ion-content>
    <div class="productDisplay">
      <img src="{{image1Productdariberandauser}}" imageViewer>
    </div>

    <h3>Deskripsi: </h3>
    <div class="innerHtml" [innerHTML]="detailProductdariberandauser"></div>


     <h3 *ngIf="databasenya.flag != 'skip'">Pemesanan produk</h3>
     <div class="formPesanan" *ngIf="databasenya.flag != 'skip'">
       <form [formGroup]="orderForm" >
         <div class="validator" id="chat-autoscroll">
            <ion-label>Jumlah/Box : </ion-label>
            <ion-input type="number" min=1 formControlName="qty" ></ion-input>
             
            <i *ngIf="qtyValidator == true">*jumlah produk yang dimasukkan tidak sesuai</i>
         </div>
         
          <ion-item>
           <ion-label>Ukuran</ion-label>
           <ion-select formControlName="other">
             <ion-option *ngFor="let a of f6Productdariberandauser; let i = index" value={{i}} >{{a.ukuran}}/{{a.pack}}</ion-option>
             <!-- <ion-option value="400 gr/ha">400 gr/ha</ion-option>
             <ion-option value="450 gr/ha">450 gr/ha</ion-option>
             <ion-option value="500 gr/ha">500 gr/ha</ion-option> -->
           </ion-select>
         </ion-item>
          <hr>
          <button ion-button block color="buttonPesan" (click)="goToKeranjangPemesanan(orderForm)" [disabled]="disableOrderButton">TAMBAH PESANAN</button> 
       </form>
     </div>
</ion-content>
